W_REGISTER_FUNC(3)

FUNCTION
w_register_func - Register a work function.

SYNOPSIS
#include <karma_w.h>

KWorkFunc w_register_func

(flag (*func) (void **info), void *info, unsigned int priority)

DESCRIPTION
This routine will register a work function. The work function at the top of the list is the one that is always called. Only when the work function at the top of the list is unregistered will the next work function be called.

func
    The routine to be called. The prototype function is <-w_PROTO_work_func->.

info
    The initial arbitrary work function information pointer.

priority
    The priority level of the work function. See <-w_PRIORITIES-> for a list of legal values.

RETURN VALUE
A KWorkFunc object. On failure, the process aborts.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/